%define Werror_cflags %nil

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Disk management daemon
Name:		gnome-disk-utility
Version:	3.24.1
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Configuration
URL:		http://git.gnome.org/cgit/gnome-disk-utility
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(dvdread) >= 4.2.0
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.31.0
BuildRequires:	pkgconfig(gnome-settings-daemon) >= 3.6
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.5.8
BuildRequires:	pkgconfig(libcanberra-gtk3) >= 0.1
BuildRequires:	pkgconfig(liblzma) >= 5.1.0
BuildRequires:	pkgconfig(libnotify) >= 0.7
BuildRequires:	pkgconfig(libsecret-1) >= 0.7
BuildRequires:	pkgconfig(systemd)
BuildRequires:	pkgconfig(pwquality) >= 1.0.0
BuildRequires:	pkgconfig(udisks2) >= 2.1.1
BuildRequires:	gnome-doc-utils
BuildRequires:	intltool
BuildRequires:	gtk-doc
BuildRequires:	desktop-file-utils
BuildRequires:	gettext-devel
BuildRequires:	gnome-common
Requires:	polkit-agent
Requires:	udisks2 >= 2.1.0
Obsoletes:	palimpsest < 3.0.0

%description
This package contains the Palimpsest disk management application.
Palimpsest supports partitioning, file system creation, encryption,
RAID, SMART monitoring, etc.

%prep
%setup -q

%build
%configure2_5x --enable-compile-warnings=no \
        --disable-static
%make

%install
%makeinstall_std

#fix desktop files
desktop-file-install \
	--dir=%{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/*.desktop

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc README AUTHORS NEWS 
%{_bindir}/gnome-disk-image-mounter
%{_bindir}/gnome-disks
%{_datadir}/dbus-1/services/org.gnome.DiskUtility.service
%{_datadir}/glib-2.0/schemas/org.gnome.Disks.gschema.xml
%{_datadir}/applications/gnome-disk-image-mounter.desktop
%{_datadir}/applications/org.gnome.DiskUtility.desktop
%{_datadir}/applications/gnome-disk-image-writer.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/man1/gnome-disk-image-mounter.1.*
%{_mandir}/man1/gnome-disks.1.*
%{_datadir}/appdata/org.gnome.DiskUtility.appdata.xml
%{_libexecdir}/gsd-disk-utility-notify
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.DiskUtilityNotify.desktop


%changelog
* Sat May 27 2017 pterjan <pterjan> 3.24.1-1.mga6
+ Revision: 1105095
- Fix file list

  + ovitters <ovitters>
    - new version 3.24.1
    - new version 3.24.0

* Tue Nov 08 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1065770
- new version 3.22.1

* Mon Sep 19 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1054070
- new version 3.22.0

* Sun Sep 18 2016 ovitters <ovitters> 3.21.91-1.mga6
+ Revision: 1053998
- new version 3.21.91

* Tue Jun 07 2016 tv <tv> 3.20.2-2.mga6
+ Revision: 1020655
- adjust BRs for latest systemd

* Sat May 07 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1010117
- new version 3.20.2

* Fri Apr 08 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 999464
- new version 3.20.1

* Mon Mar 21 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993578
- new version 3.20.0

* Mon Dec 21 2015 tv <tv> 3.19.3-2.mga6
+ Revision: 912824
+ rebuild (emptylog)

* Mon Dec 21 2015 tv <tv> 3.19.3-1.mga6
+ Revision: 912822
- new release

* Fri Nov 27 2015 ovitters <ovitters> 3.18.3.1-1.mga6
+ Revision: 906387
- new version 3.18.3.1

* Fri Nov 06 2015 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 898239
- new version 3.18.2

* Sun Oct 11 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 889815
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882730
- new release

* Sat Aug 29 2015 ovitters <ovitters> 3.17.91-1.mga6
+ Revision: 871088
- new version 3.17.91

* Mon Jun 22 2015 ovitters <ovitters> 3.17.3-1.mga6
+ Revision: 838942
- new version 3.17.3

* Thu Nov 13 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 796744
- new version 3.14.0

* Wed Oct 15 2014 umeabot <umeabot> 3.12.1-4.mga5
+ Revision: 750586
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.12.1-3.mga5
+ Revision: 679716
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 colin <colin> 3.12.1-2.mga5
+ Revision: 671889
- Rebuild for new systemd

* Sat Apr 19 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 617098
- new version 3.12.1

* Sun Mar 23 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 606691
- new version 3.12.0

* Fri Feb 14 2014 dams <dams> 3.11.0-1.mga5
+ Revision: 591416
- new version 3.11.0

* Mon Oct 21 2013 umeabot <umeabot> 3.10.0-2.mga4
+ Revision: 538115
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 488531
- new version 3.10.0

* Wed Aug 21 2013 fwang <fwang> 3.9.0-1.mga4
+ Revision: 468723
- update file list
- upload tarball
- new version 3.9.0

* Wed May 29 2013 dams <dams> 3.8.2-1.mga4
+ Revision: 432863
- new version 3.8.2

* Sat May 25 2013 ovitters <ovitters> 3.8.0-1.mga4
+ Revision: 427505
- update file list
- br libnotify
- br gnome-settings-daemon
- br libdvdread
- br libcanberra-gtk3
- fix br,requires for udisks2
- new version 3.8.0

* Wed Jan 23 2013 fwang <fwang> 3.6.1-3.mga3
+ Revision: 391451
- update rpm group

* Sat Jan 12 2013 umeabot <umeabot> 3.6.1-2.mga3
+ Revision: 352108
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 302612
- new version 3.6.1

* Fri Sep 21 2012 fwang <fwang> 3.6.0-1.mga3
+ Revision: 296472
- update file list
- new version 3.6.0

* Sat Jul 28 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 275432
- br gnome-common (for upstream patch)
- br gettext-devel (for patch)
- add upstream patch to fix build
- new version 3.5.3

  + fwang <fwang>
    - update file list
    - disable warnings
    - drop req on gnome-keyring
    - br secret
    - bump br

* Wed Jun 27 2012 ovitters <ovitters> 3.5.2-1.mga3
+ Revision: 264456
- br libpwquality
- br gnome-keyring-1
- new version 3.5.2

* Sat Apr 21 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 232399
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226676
- new version 3.4.0

* Mon Mar 05 2012 wally <wally> 3.3.93-1.mga2
+ Revision: 219217
- new version 3.3.93

* Thu Feb 23 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 213560
- new version

* Mon Feb 06 2012 wally <wally> 3.3.91-1.mga2
+ Revision: 205522
- new version 3.3.91
- clean .spec a bit

* Sun Jan 22 2012 fwang <fwang> 3.3.90-3.mga2
+ Revision: 199526
- fix typo

* Sun Jan 22 2012 fwang <fwang> 3.3.90-2.mga2
+ Revision: 199517
- fix unexpanded macro
- drop old patch
- cleanup old staff
- update file list
- disable format error for now
- new version 3.3.90

* Sun Jul 10 2011 fwang <fwang> 3.0.2-1.mga2
+ Revision: 121607
- new version 3.0.2

* Fri Jun 10 2011 dmorgan <dmorgan> 3.0.0-1.mga2
+ Revision: 103295
- Fix buildrequires
- Add libunique3-devel as buildrequires
- Add gnome-common as buildrequires ( spturtle )
- Use %%configure2_5x
- New version 3.0.0

  + pterjan <pterjan>
    - Revert to 2.32.0, 2.32.1 needs new libnotify
    - Update to 2.32.1

* Sat Jan 15 2011 blino <blino> 2.32.0-1.mga1
+ Revision: 19022
- imported package gnome-disk-utility

